=== debian/changelog ===
cantata (2.4.1.ds1-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 21 Mar 2020 07:31:37 -0700

cantata (2.4.1.ds1-1) unstable; urgency=medium

  [ Stuart Prescott ]
  * New upstream release.
  * Update Standards-Version to 4.5.0 (no changes required).

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Repository.
  * Switch to debhelper-compat (= 12).

 -- Stuart Prescott <stuart@debian.org>  Sun, 23 Feb 2020 17:36:49 +1100
