## cantata 2.4.2.ds1

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,6 +21,7 @@
 cmake_minimum_required(VERSION 2.6)
 cmake_policy(SET CMP0020 OLD)
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
+set (QT_MIN_VERSION 5.11)
 
 set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README")
 set(CPACK_GENERATOR "DEB;RPM;TBZ2")
@@ -28,7 +29,7 @@
 set(CPACK_SOURCE_GENERATOR "TBZ2")
 set(CPACK_PACKAGE_VERSION_MAJOR "2")
 set(CPACK_PACKAGE_VERSION_MINOR "4")
-set(CPACK_PACKAGE_VERSION_PATCH "1")
+set(CPACK_PACKAGE_VERSION_PATCH "2")
 set(CPACK_DEBIAN_PACKAGE_SHLIBDEPS ON)
 set(CPACK_PACKAGE_VERSION_SPIN "")  # Use ".$number" - e.g. ".1"
 set(CPACK_PACKAGE_CONTACT "Craig Drummond <craig.p.drummond@gmail.com>")
@@ -217,12 +218,12 @@
    set(ENABLE_UNCACHED_MTP OFF)
 endif ()
 
-find_package(Qt5Widgets REQUIRED)
-find_package(Qt5Xml REQUIRED)
-find_package(Qt5Network REQUIRED)
-find_package(Qt5Concurrent REQUIRED)
-find_package(Qt5Svg REQUIRED)
-find_package(Qt5Sql REQUIRED)
+find_package(Qt5Widgets ${QT_MIN_VERSION} REQUIRED)
+find_package(Qt5Xml ${QT_MIN_VERSION} REQUIRED)
+find_package(Qt5Network ${QT_MIN_VERSION} REQUIRED)
+find_package(Qt5Concurrent ${QT_MIN_VERSION} REQUIRED)
+find_package(Qt5Svg ${QT_MIN_VERSION} REQUIRED)
+find_package(Qt5Sql ${QT_MIN_VERSION} REQUIRED)
 
 set(CMAKE_AUTOMOC TRUE)
 set(CMAKE_CXX_FLAGS "-std=c++11 ${CMAKE_CXX_FLAGS}")
@@ -266,10 +267,3 @@
         add_definitions(${Qt5Multimedia_DEFINITIONS})
         set(CANTATA_LIBS ${CANTATA_LIBS} ${Qt5Multimedia_LIBRARIES})
     endif ()
-    set(CANTATA_SRCS ${CANTATA_SRCS} mpd-interface/httpstream.cpp)
-endif ()
-
-find_package(ZLIB REQUIRED)
-
-if (APPLE)
-    set(CANTATA_SRCS ${CANTATA_SRCS} mac/dockmenu.cpp mac/macnotify.mm)
