=== debian/changelog ===
cantata (2.4.2.ds1-3) unstable; urgency=medium

  * Restrict B-D on libudev-dev to linux-any (Closes: #820011).
  * Add patch to fix FTBFS with ffmpeg 5.0 (Closes: #1004618).
  * Silence spurious lintian tags.

 -- Stuart Prescott <stuart@debian.org>  Tue, 01 Feb 2022 11:35:22 +1100

cantata (2.4.2.ds1-2) unstable; urgency=medium

  * Minor packaging updates from Janitor/lintian-brush
    - Update Standards-Version to 4.6.0 (no changes required).
    - Add debian/upstream/metadata.
  * Update build dependencies with thanks to Thomas Uhle for the suggestions
    (Closes: #985734).

 -- Stuart Prescott <stuart@debian.org>  Mon, 18 Oct 2021 18:29:37 +1100

cantata (2.4.2.ds1-1) unstable; urgency=medium

  * New upstream release.
  * Switch to debehlper-compat (= 13).
  * Add Rules-Requires-Root: no.

 -- Stuart Prescott <stuart@debian.org>  Sun, 27 Sep 2020 18:05:52 +1000
