=== debian/control ===
--- 
+++ 
@@ -1,41 +1,40 @@
 Source: cantata
 Section: sound
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Stuart Prescott <stuart@debian.org>
 Build-Depends:
  cmake,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
+ libavahi-client-dev,
+ libavahi-common-dev,
  libavcodec-dev,
  libavformat-dev,
  libavutil-dev,
  libcddb2-dev,
- libcdparanoia-dev,
+ libcdio-paranoia-dev,
+ libdbus-1-dev,
  libebur128-dev,
  libmpg123-dev,
  libmtp-dev (>= 1.0.0),
  libmusicbrainz5-dev (>= 5.1.0+git20150707),
- libphonon4qt5-dev,
  libqt5svg5-dev,
  libspeex-dev,
  libspeexdsp-dev,
  libtag-extras-dev,
  libtag1-dev,
- libudev-dev,
- libvlc-dev,
- libvlccore-dev,
- libx11-dev,
+ libudev-dev [linux-any],
  pkg-config,
  pkg-kde-tools,
  qtbase5-dev,
  qtmultimedia5-dev,
  qttools5-dev-tools,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/CDrummond/cantata
 Vcs-Browser: https://salsa.debian.org/multimedia-team/cantata
 Vcs-Git: https://salsa.debian.org/multimedia-team/cantata.git
+Rules-Requires-Root: no
 
 Package: cantata
 Architecture: any
