## cantata 2.5.0%2Bgit20250603.c4cc69c

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,6 @@
-PROJECT(cantata)
+cmake_minimum_required(VERSION 3.0)
+project(cantata)
+cmake_policy(SET CMP0020 NEW)
 
 #  NOTE: If PROJECT_URL, or PROJECT_REV_URL, are changed, then cantata-dynamic, README, and
 #        dbus/mpd.cantata.xml will need renaming/updating.
@@ -18,18 +20,18 @@
     set(ORGANIZATION_NAME ${CMAKE_PROJECT_NAME})
 endif ()
 
-cmake_minimum_required(VERSION 2.6)
-cmake_policy(SET CMP0020 OLD)
+
+
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
-set (QT_MIN_VERSION 5.11)
+set (QT_MIN_VERSION 5.5)
 
 set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README")
 set(CPACK_GENERATOR "DEB;RPM;TBZ2")
 set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Qt Client for MPD")
 set(CPACK_SOURCE_GENERATOR "TBZ2")
 set(CPACK_PACKAGE_VERSION_MAJOR "2")
-set(CPACK_PACKAGE_VERSION_MINOR "4")
-set(CPACK_PACKAGE_VERSION_PATCH "2")
+set(CPACK_PACKAGE_VERSION_MINOR "5")
+set(CPACK_PACKAGE_VERSION_PATCH "0")
 set(CPACK_DEBIAN_PACKAGE_SHLIBDEPS ON)
 set(CPACK_PACKAGE_VERSION_SPIN "")  # Use ".$number" - e.g. ".1"
 set(CPACK_PACKAGE_CONTACT "Craig Drummond <craig.p.drummond@gmail.com>")
@@ -49,7 +51,8 @@
 option(ENABLE_PROXY_CONFIG "Enable proxy config in settings dialog" ON)
 option(ENABLE_HTTP_SERVER "Enable internal HTTP server to play non-MPD files" ON)
 option(ENABLE_LIBVLC "Use libVLC for MPD HTTP stream playback (if ENABLE_HTTP_STREAM_PLAYBACK=ON)" OFF)
-option(ENABLE_CATEGORIZED_VIEW "Enable support for categorised view" ON)
+option(ENABLE_CATEGORIZED_VIEW "Enable support for categorised view" OFF)
+option(ENABLE_SCROBBLING "Enable scrobbling" ON)
 
 if (WIN32 OR APPLE OR HAIKU)
     option(ENABLE_DEVICES_SUPPORT "Enable suport for external devices" OFF)
@@ -82,7 +85,6 @@
 
 if (AVAHI_FOUND)
     set(CANTATA_SRCS ${CANTATA_SRCS} gui/findmpddialog.cpp gui/avahidiscovery.cpp gui/avahipoll.cpp)
-    set(CANTATA_UIS ${CANTATA_UIS} gui/findmpddialog.ui)
 
     set(CANTATA_LIBS ${CANTATA_LIBS} ${AVAHI_LIBRARIES})
 endif()
@@ -168,35 +170,6 @@
 
     set(ENABLE_TAGEDITOR_SUPPORT 1)
     set(ENABLE_TRACKORGANIZER_SUPPORT 1)
-    include(CheckCXXSourceCompiles)
-    set(CMAKE_REQUIRED_INCLUDES "${TAGLIB_INCLUDES}")
-    set(CMAKE_REQUIRED_LIBRARIES "${TAGLIB_LIBRARIES}")
-
-    check_cxx_source_compiles("#include <asftag.h>
-                            int main() { TagLib::ASF::Tag tag; return 0;}" TAGLIB_ASF_FOUND)
-    if (NOT TAGLIB_ASF_FOUND)
-        message("TagLib does not have ASF support compiled in.")
-    endif ()
-
-    check_cxx_source_compiles("#include <mp4tag.h>
-                            int main() { TagLib::MP4::Tag tag(0, 0); return 0;}" TAGLIB_MP4_FOUND)
-    if (NOT TAGLIB_MP4_FOUND)
-        message("TagLib does not have MP4 support compiled in.")
-    endif ()
-
-    check_cxx_source_compiles("#include <opusfile.h>
-                            int main() { TagLib::Ogg::Opus::File *f=0; return 0;}" TAGLIB_OPUS_FOUND)
-    if (NOT TAGLIB_OPUS_FOUND)
-        message("TagLib does not have OPUS support compiled in.")
-    endif ()
-
-    set(CMAKE_REQUIRED_INCLUDES)
-    set(CMAKE_REQUIRED_LIBRARIES)
-
-    #include(CheckTagLibFileName)
-    #check_taglib_filename(COMPLEX_TAGLIB_FILENAME)
-
-    add_definitions(${TAGLIB_CFLAGS})
 
     if (ENABLE_FFMPEG)
         find_package(FFMPEG)
@@ -218,24 +191,17 @@
    set(ENABLE_UNCACHED_MTP OFF)
 endif ()
 
-find_package(Qt5Widgets ${QT_MIN_VERSION} REQUIRED)
-find_package(Qt5Xml ${QT_MIN_VERSION} REQUIRED)
-find_package(Qt5Network ${QT_MIN_VERSION} REQUIRED)
-find_package(Qt5Concurrent ${QT_MIN_VERSION} REQUIRED)
-find_package(Qt5Svg ${QT_MIN_VERSION} REQUIRED)
-find_package(Qt5Sql ${QT_MIN_VERSION} REQUIRED)
+find_package(Qt5 ${QT_MIN_VERSION} COMPONENTS Widgets Xml Network Concurrent Svg Sql REQUIRED)
 
 set(CMAKE_AUTOMOC TRUE)
-set(CMAKE_CXX_FLAGS "-std=c++11 ${CMAKE_CXX_FLAGS}")
+set(CMAKE_AUTOUIC TRUE)
+set(CMAKE_AUTORCC TRUE)
 set(CMAKE_CXX_STANDARD 11)
 
 set(QTCORELIBS ${Qt5Core_LIBRARIES})
 set(QTNETWORKLIBS ${Qt5Network_LIBRARIES})
 set(QTGUILIBS ${Qt5Gui_LIBRARIES})
 set(QTLIBS ${QTCORELIBS} ${Qt5Widgets_LIBRARIES} ${QTNETWORKLIBS} ${QTGUILIBS} ${Qt5Xml_LIBRARIES} ${Qt5Concurrent_LIBRARIES} ${Qt5Svg_LIBRARIES} ${Qt5Sql_LIBRARIES})
-set(QTINCLUDES ${Qt5Widgets_INCLUDE_DIRS} ${Qt5Network_INCLUDE_DIRS} ${Qt5Xml_INCLUDE_DIRS} ${Qt5Core_INCLUDE_DIRS} ${Qt5Concurrent_INCLUDE_DIRS}
-    ${Qt5Svg_INCLUDE_DIRS} ${Qt5Sql_INCLUDE_DIRS})
-add_definitions(${Qt5Widgets_DEFINITIONS} ${Qt5Network_DEFINITIONS} ${Qt5Xml_DEFINITIONS} ${Qt5Concurrent_DEFINITIONS} ${Qt5Svg_DEFINITIONS} ${Qt5Sql_DEFINITIONS})
 if (Qt5_POSITION_INDEPENDENT_CODE)
     set(CMAKE_POSITION_INDEPENDENT_CODE ON)
 else ()
@@ -249,8 +215,6 @@
     find_package(Qt5DBus REQUIRED)
     set(QT_QTDBUS_FOUND 1) # required for config.h !!!
     set(QTLIBS ${QTLIBS} ${Qt5DBus_LIBRARIES})
-    set(QTINCLUDES ${QTINCLUDES} ${Qt5DBus_INCLUDE_DIRS})
-    add_definitions(${Qt5DBus_DEFINITIONS})
 endif ()
 
 if (ENABLE_HTTP_STREAM_PLAYBACK)
@@ -258,12 +222,56 @@
         find_package(LIBVLC REQUIRED)
         macro_log_feature(LIBVLC_FOUND "libVLC" "MPD HTTP stream playback." "http://videolan.org")
         add_definitions(-DLIBVLC_FOUND)
-        include_directories(${LIBVLC_INCLUDE_DIR})
         set(CANTATA_LIBS ${CANTATA_LIBS} ${LIBVLC_LIBRARY})
     else ()
-        find_package(Qt5Multimedia REQUIRED)
+        find_package(Qt5 ${QT_MIN_VERSION} COMPONENTS Multimedia REQUIRED)
         macro_log_feature(Qt5Multimedia_FOUND "Qt5Multimedia" "MPD HTTP stream playback." "http://qtproject.org")
-        include_directories(${Qt5Multimedia_INCLUDE_DIRS})
-        add_definitions(${Qt5Multimedia_DEFINITIONS})
         set(CANTATA_LIBS ${CANTATA_LIBS} ${Qt5Multimedia_LIBRARIES})
     endif ()
+    set(CANTATA_SRCS ${CANTATA_SRCS} mpd-interface/httpstream.cpp)
+endif ()
+
+find_package(ZLIB REQUIRED)
+
+if (APPLE)
+    set(CANTATA_SRCS ${CANTATA_SRCS} mac/dockmenu.cpp mac/macnotify.mm)
+    find_package(IOKit)
+    if (IOKIT_FOUND)
+        set(CANTATA_LIBS ${CANTATA_LIBS} ${IOKIT_LIBRARY})
+        set(CANTATA_SRCS ${CANTATA_SRCS} mac/powermanagement.cpp)
+    endif ()
+    find_package(Foundation REQUIRED)
+    find_library(MAC_APPKIT_LIBRARY AppKit REQUIRED)
+    set(CANTATA_LIBS ${CANTATA_LIBS} ${FOUNDATION_LIBRARY} ${MAC_APPKIT_LIBRARY})
+    find_library(MAC_MEDIAPLAYER_LIBRARY MediaPlayer)
+    if (MAC_MEDIAPLAYER_LIBRARY)
+        set(CANTATA_SRCS ${CANTATA_SRCS} mac/macnowplaying.mm)
+        set(CANTATA_LIBS ${CANTATA_LIBS} ${MAC_MEDIAPLAYER_LIBRARY})
+        add_definitions(-DMAC_MEDIAPLAYER_FOUND)
+    endif ()
+elseif (WIN32)
+    find_package(Qt5 COMPONENTS WinExtras REQUIRED)
+    set(QTLIBS ${QTLIBS} ${Qt5WinExtras_LIBRARIES})
+    set(CANTATA_SRCS ${CANTATA_SRCS} windows/thumbnailtoolbar.cpp)
+endif ()
+
+# MusicBrainz requires exceptions to be enabled!
+if (MUSICBRAINZ5_FOUND)
+    message("-- Enabling exceptions")
+    if (CMAKE_COMPILER_IS_GNUCXX)
+        add_definitions("-fexceptions -UQT_NO_EXCEPTIONS")
+    endif (CMAKE_COMPILER_IS_GNUCXX)
+    if (CMAKE_C_COMPILER MATCHES "icc")
+        add_definitions(-fexceptions)
+    endif ()
+    if (MSVC)
+        add_definitions(-EHsc)
+    endif ()
+endif ()
+
+include_directories(${CMAKE_SOURCE_DIR}/3rdparty ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})
+
+set(CANTATA_SRCS ${CANTATA_SRCS}
+    gui/settings.cpp gui/application.cpp gui/initialsettingswizard.cpp gui/mainwindow.cpp gui/preferencesdialog.cpp gui/customactionssettings.cpp
+    gui/interfacesettings.cpp gui/playbacksettings.cpp gui/serversettings.cpp gui/librarypage.cpp gui/customactions.cpp
+    gui/folderpage.cpp gui/trayitem.cpp gui/cachesettings.cpp gui/coverdialog.cpp gui/searchpage.cpp gui/stdactions.cpp
