=== replaygain/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 if (FFMPEG_FOUND OR MPG123_FOUND)
-    include_directories(${QTINCLUDES} ${ZLIB_INCLUDE_DIRS} ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})
+    include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})
     if (FFMPEG_FOUND)
         set(CANTATA_RG_SRCS ${CANTATA_RG_SRCS} ffmpeginput.cpp)
         include_directories(${FFMPEG_INCLUDE_DIRS})
@@ -24,18 +24,12 @@
         install(TARGETS cantata-replaygain RUNTIME DESTINATION ${LINUX_LIB_DIR}/cantata)
     endif ()
 
-    find_package(Ebur128)
+    target_link_libraries(cantata-replaygain support-core)
 
-    if (EBUR128_FOUND)
-        message("-- Using system libebur128")
-        include_directories(${EBUR128_INCLUDE_DIR})
-        target_link_libraries(cantata-replaygain ${EBUR128_LIBRARY})
-    else ()
-        message("-- Using supplied libebur128")
-        include_directories(${CMAKE_SOURCE_DIR}/3rdparty)
-        add_subdirectory(${CMAKE_SOURCE_DIR}/3rdparty/ebur128 ${CMAKE_BINARY_DIR}/3rdparty/ebur128)
-        target_link_libraries(cantata-replaygain ebur128)
-    endif ()
+    find_package(Ebur128 REQUIRED)
+
+    target_link_libraries(cantata-replaygain ${Ebur128_LIBRARIES})
+    target_include_directories(cantata-replaygain PRIVATE ${Ebur128_INCLUDEDIR})
 
     if (FFMPEG_FOUND)
         target_link_libraries(cantata-replaygain ${FFMPEG_LIBRARIES})
