=== support/CMakeLists.txt ===
set(SUPPORT_CORE_SRCS utils.cpp thread.cpp)

include_directories(${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR})

add_library(support-core STATIC ${SUPPORT_CORE_SRCS})
target_link_libraries(support-core ${QTLIBS})
    
set (SUPPORT_SRCS icon.cpp fancytabwidget.cpp messagewidget.cpp buddylabel.cpp action.cpp actioncollection.cpp lineedit.cpp
     configuration.cpp gtkstyle.cpp spinner.cpp messagebox.cpp inputdialog.cpp thread.cpp squeezedtextlabel.cpp proxystyle.cpp
     pagewidget.cpp combobox.cpp configdialog.cpp monoicon.cpp)

if (APPLE)
    set(SUPPORT_SRCS ${SUPPORT_SRCS} osxstyle.cpp flattoolbutton.cpp windowmanager.cpp)
endif ()

set(SUPPORT_SRCS ${SUPPORT_SRCS} pathrequester.cpp kmessagewidget.cpp dialog.cpp shortcutsmodel.cpp
    shortcutssettingswidget.cpp keysequencewidget.cpp acceleratormanager.cpp urllabel.cpp
    compat/qfontmetricscompat.h compat/qrandomgeneratorcompat.h compat/qrandomgeneratorcompat.cpp compat/qimagecompat.h)
set(SUPPORT_UIS shortcutssettingswidget.ui)

qt5_wrap_ui(SUPPORT_UI_HDRS ${SUPPORT_UIS})
qt5_add_resources(SUPPORT_RC_SRCS support.qrc)

add_library(support STATIC ${SUPPORT_SRCS} ${SUPPORT_UI_HDRS} ${SUPPORT_RC_SRCS})
target_link_libraries(support ${QTLIBS})
