=== translations/CMakeLists.txt ===
--- 
+++ 
@@ -4,17 +4,17 @@
     list(APPEND CANTATA_TRANS "${TRANS}")
 endforeach ()
 
-find_program(LRELEASE_EXECUTABLE lrelease PATHS /usr/lib64/qt5/bin/)
+find_package(Qt5LinguistTools ${QT_MIN_VERSION} QUIET)
 
-if (LRELEASE_EXECUTABLE)
-    set(catalogname cantata)
-    add_custom_target(translations ALL)
+if (Qt5LinguistTools_FOUND)
     foreach(TRANS ${CANTATA_TRANS})
         if (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${TRANS}.ts)
             set(CUR_TS_FILE ${CMAKE_CURRENT_SOURCE_DIR}/${TRANS}.ts)
             set(CUR_QM_FILE ${CMAKE_CURRENT_BINARY_DIR}/${TRANS}.qm)
-            add_custom_command(TARGET translations
-                COMMAND ${LRELEASE_EXECUTABLE} ARGS ${CUR_TS_FILE} -qm ${CUR_QM_FILE}
+            list(APPEND CANTATA_QMS_FILES ${CUR_QM_FILE})
+
+            add_custom_command(OUTPUT ${CUR_QM_FILE}
+                COMMAND ${Qt5_LRELEASE_EXECUTABLE} ARGS ${CUR_TS_FILE} -qm ${CUR_QM_FILE}
                 DEPENDS ${CUR_TS_FILE})
             if (WIN32)
                 install(FILES ${CUR_QM_FILE} DESTINATION ${CMAKE_INSTALL_PREFIX}/translations/)
@@ -25,6 +25,7 @@
             endif ()
         endif ()
     endforeach()
+    add_custom_target(translations ALL DEPENDS ${CANTATA_QMS_FILES})
 else ()
     message("------\n"
             "NOTE: lrelease not found. Translations will *not* be installed\n"
